# ios_ping – Tests reachability using ping from Cisco IOS network devices

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Tests reachability using ping from switch to a remote destination.

- For a general purpose network module, see the net_ping module.

- For Windows targets, use the win_ping module instead.

- For targets running Python, use the ping module instead.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

auth_pass
string

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli` and `become: yes` with `become_pass`.
For more information please see the IOS Platform Options guide.

Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.

authorize
boolean

Choices:
- no ←
- yes

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli` and `become: yes`.
For more information please see the IOS Platform Options guide.

Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.

count - | Default: 5 | Number of packets to send.
dest - / required |  | The IP Address or hostname (resolvable by switch) of the remote node.

provider
dictionary

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli`.
For more information please see the IOS Platform Options guide.

A dict object containing connection details.

| auth_pass string |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.

authorize
boolean

Choices:
- no ←
- yes

Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.

| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
source - |  | The source IP Address.

state
-

Choices:
- absent
- present ←

Determines if the expected result is success or fail.

vrf - | Default: "default" | The VRF to use for forwarding.

## Notes

Note

- For a general purpose network module, see the net_ping module.

- For Windows targets, use the win_ping module instead.

- For targets running Python, use the ping module instead.

- For more information on using Ansible to manage network devices see the Ansible Network Guide

- For more information on using Ansible to manage Cisco devices see the Cisco integration page.

## Examples

    - name: Test reachability to 10.10.10.10 using default vrf
      ios_ping:
        dest: 10.10.10.10

    - name: Test reachability to 10.20.20.20 using prod vrf
      ios_ping:
        dest: 10.20.20.20
        vrf: prod

    - name: Test unreachability to 10.30.30.30 using default vrf
      ios_ping:
        dest: 10.30.30.30
        state: absent

    - name: Test reachability to 10.40.40.40 using prod vrf and setting count and source
      ios_ping:
        dest: 10.40.40.40
        source: loopback0
        vrf: prod
        count: 20

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | Show the command sent. Sample: ['ping vrf prod 10.40.40.40 count 20 source loopback0']
packet_loss string | always | Percentage of packets lost. Sample: 0%
packets_rx integer | always | Packets successfully received. Sample: 20
packets_tx integer | always | Packets successfully transmitted. Sample: 20
rtt dictionary | always | Show RTT stats. Sample: {'avg': 2, 'max': 8, 'min': 1}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jacob McGill (@jmcgill298)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.